Subject: Re: [PATCH 01/24] Documentation/technical: describe pseudo-merge bitmaps format

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Mar 2024 15:22:45 -0700

Taylor Blau <[email-masked]> writes:

>    The pack-bitmap machinery has been extended to write bitmaps for
>    pseudo-merges, which are imaginary commits which act as octopus
>    merges covering groups of the un-bitmapped parts of history at
>    reference tips.

That is "what the topic does", and does not cover "why does it do
so" and/or "for what effect".

I can sort-of see that allowing us to record a pre-combined bitmap
for octopus merges that do not exist, we have more flexibility
compared to the original bitmap machinery where we can only put
bitmap to commits that exist.  What is not clear is what this
additional flexibility is used for.

Does the approach takes advantage of that additional flexibility to
reduce redundancy, allowing us to have the same bitmap coverage with
smaller number of bitmaps?

Thanks.